deploy.sh 676 Bytes
Newer Older
Florent Chehab's avatar
Florent Chehab committed
1 2 3 4 5 6 7 8 9 10 11 12
#!/bin/bash
set -e

cd outgoing_rex
git pull || { echo "Failed on 'git pull'"; exit 1; }
source ./env/bin/activate
make install_backend || { echo "Failed on 'make install_backend'"; exit 2; }
npm install || { echo "Failed on 'npm install'"; exit 3; }
make build_frontend || { echo "Failed on 'make build_frontend '"; exit 4; }
./manage.py migrate --settings general.settings.production || { echo "Failed on django migrate" exit 5; }
./manage.py createinitialrevisions --settings general.settings.production || { echo "Failed on django migrate" exit 6; }
./manage.py collectstatic --noinput --settings general.settings.production || { echo "Failed on django migrate" exit 7; }